> This page is for API Reference.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.navipartner.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.navipartner.com/_mcp/server.

# Get Manifest

GET https://api.npretail.app/{tenant}/{environment}/{company}/pdfdesigner/manifest/{manifestId}

Retrieve a manifest by its ID.

Reference: https://docs.navipartner.com/apis/api-reference/pdf-designer/service-pdf-designer/get-manifest

## Authentication

- `x-np-api-key` header (required) — API Key authentication via header

## Request

### Path parameters

- `tenant` (string, required) — Your Entra Tenant ID. [More details.](/paths#1-tenant)
- `environment` (string, required) — Your Business Central Environment. [More details.](/paths#2-environment)
- `company` (string, required) — Your Business Central Company. [More details.](/paths#3-company)
- `manifestId` (UUID, required)

## Response

### 200

- `manifestId` (UUID, required) — The unique identifier of the manifest.
- `languageCode` (string, required) — The BC language code applied to template when rendered .
- `toc` (boolean, required) — Indicates whether the manifest should be rendered with a table of content to the user instead of producing the PDF's directly.
- `createdAt` (string, required) — The date and time when the asset was created (RFC 3339 timestamp.).
- `assets` (list of Assets, required)

## Types

### Assets

- `id` (UUID, required) — The unique identifier of the asset line in Business Central.
- `assetTableNumber` (integer, required) — The table number of the asset in Business Central.
- `assetId` (UUID, required) — The unique identifier of the asset.
- `createdAt` (string, required) — The date and time when the asset was created (RFC 3339 timestamp.).
- `assetPublicId` (string, optional) — An optional external identifier for the asset.
- `renderWithTemplateId` (string, optional) — The template ID used for rendering the asset.
- `renderGroup` (integer, optional) — A simple grouping mechanism for assets.
- `renderGroupOrder` (integer, optional) — The order of the asset within its group.

## Examples

**Response**

```json
{
  "manifestId": "ddcfea9f-385e-4d83-8b50-42256885b03a",
  "languageCode": "ENU",
  "toc": true,
  "createdAt": "2024-01-15T10:30:00Z",
  "assets": [
    {
      "id": "5ecfea9f-385e-4d83-8b50-42256885b03a",
      "assetTableNumber": 6059785,
      "assetId": "e2cfea9f-385e-4d83-8b50-42256885b03a",
      "createdAt": "2024-01-15T10:30:00Z",
      "assetPublicId": "TICKET-1001",
      "renderWithTemplateId": "ddcfea9f385e4d838b5042256885b03a",
      "renderGroup": 1,
      "renderGroupOrder": 1
    }
  ]
}
```

**SDK Code**

```python Get Manifest
import requests

url = "https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./pdfdesigner/manifest/ddcfea9f-385e-4d83-8b50-42256885b03a"

headers = {"x-np-api-key": "<NaviPartner API Key>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript Get Manifest
const url = 'https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./pdfdesigner/manifest/ddcfea9f-385e-4d83-8b50-42256885b03a';
const options = {method: 'GET', headers: {'x-np-api-key': '<NaviPartner API Key>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Get Manifest
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./pdfdesigner/manifest/ddcfea9f-385e-4d83-8b50-42256885b03a"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-np-api-key", "<NaviPartner API Key>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Get Manifest
require 'uri'
require 'net/http'

url = URI("https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./pdfdesigner/manifest/ddcfea9f-385e-4d83-8b50-42256885b03a")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-np-api-key"] = '<NaviPartner API Key>'

response = http.request(request)
puts response.read_body
```

```java Get Manifest
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./pdfdesigner/manifest/ddcfea9f-385e-4d83-8b50-42256885b03a")
  .header("x-np-api-key", "<NaviPartner API Key>")
  .asString();
```

```php Get Manifest
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./pdfdesigner/manifest/ddcfea9f-385e-4d83-8b50-42256885b03a', [
  'headers' => [
    'x-np-api-key' => '<NaviPartner API Key>',
  ],
]);

echo $response->getBody();
```

```csharp Get Manifest
using RestSharp;

var client = new RestClient("https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./pdfdesigner/manifest/ddcfea9f-385e-4d83-8b50-42256885b03a");
var request = new RestRequest(Method.GET);
request.AddHeader("x-np-api-key", "<NaviPartner API Key>");
IRestResponse response = client.Execute(request);
```

```swift Get Manifest
import Foundation

let headers = ["x-np-api-key": "<NaviPartner API Key>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.npretail.app/01234567-89ab-cdef-0123-456789abcdef/production/CRONUS%2520International%2520Ltd./pdfdesigner/manifest/ddcfea9f-385e-4d83-8b50-42256885b03a")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```